Skip to main content
`Ctrl`+`K`

# PetscDTCreateDefaultQuadrature

Create default quadrature for a given cell

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTCreateDefaultQuadrature(DMPolytopeType ct, PetscInt qorder, PetscQuadrature *q, PetscQuadrature *fq)

Not collective

## Input Parameters

- ct - The integration domain

- qorder - The desired quadrature order

## Output Parameters

- q - The cell quadrature

- fq - The face quadrature

## See Also

`PetscDTCreateQuadratureByCell()`, `PetscFECreateDefault()`, `PetscDTGaussTensorQuadrature()`, `PetscDTSimplexQuadrature()`, `PetscDTTensorQuadratureCreate()`

## Level

developer

## Location

src/dm/dt/interface/dt.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages